Bug 619438 - after a Resource (e.g. Topic or Queue) has been moved to a new parent Resource on Server side, PC sync code does not move it to the new parent in Agent inventory
Summary: after a Resource (e.g. Topic or Queue) has been moved to a new parent Resourc...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugin Container   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 14:30 UTC by Ian Springer
Modified: 2014-06-18 15:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-18 15:57:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch fixes the issue (10.38 KB, patch)
2010-07-29 14:34 UTC, Ian Springer
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 618879 None None None Never

Internal Trackers: 618879

Description Ian Springer 2010-07-29 14:30:57 UTC
The sync code needs to be updated to recognize when a Resource has been moved in the Server's inventory and move it to the same place in the Agent's inventory.

Comment 1 Ian Springer 2010-07-29 14:34:03 UTC
Created attachment 435313 [details]
this patch fixes the issue

Note: The patch applies to the release-3.0.0 branch. Some massaging may be required to apply it to master.

Comment 2 Corey Welton 2010-09-28 12:04:49 UTC
ips - was this patch ever applied, if so which branches.  does this patch exist in 2.4?

Comment 4 Jay Shaughnessy 2014-06-18 15:57:14 UTC
No outstanding sync issues in the current release.


Note You need to log in before you can comment on or make changes to this bug.